about summary refs log tree commit diff
path: root/ci/kokoro/define-docker-variables.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/kokoro/define-docker-variables.sh')
-rwxr-xr-xci/kokoro/define-docker-variables.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/ci/kokoro/define-docker-variables.sh b/ci/kokoro/define-docker-variables.sh
new file mode 100755
index 000000000000..7a659c7a78c0
--- /dev/null
+++ b/ci/kokoro/define-docker-variables.sh
@@ -0,0 +1,24 @@
+#!/usr/bin/env bash
+# Copyright 2019 Google LLC
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -eu
+
+if [[ -n "${IMAGE+x}" ]]; then
+  echo "IMAGE is already defined."
+else
+  readonly IMAGE="apisci-${DISTRO}-${DISTRO_VERSION}"
+  readonly BUILD_OUTPUT="cmake-out/${IMAGE}-${BUILD_NAME}"
+  readonly BUILD_HOME="cmake-out/home/${IMAGE}-${BUILD_NAME}"
+fi